Sync Portfolio
curl --request PATCH \
--url https://api.coinstats.app/v1/portfolio/sync \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/portfolio/sync"
headers = {"X-API-KEY": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/portfolio/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}User Portfolio
Sync Portfolio
Sync Portfolio
PATCH
/
v1
/
portfolio
/
sync
Sync Portfolio
30 credits per request
Multipliers
Multipliers
In Query field “portfolioId”: credits are multiplied by the number of values.
If the value of “portfolioId” in Query is “all”, multiplier is 300 credits.
Optional
Optional
- portfolioId: When provided, syncs only that portfolio. When omitted, syncs all portfolios owned by the user.
Authorizations
API key required to access the endpoints. Generate one from your dashboard at https://openapi.coinstats.app and pass it in the X-API-KEY request header. Never expose your key in client-side code.
Query Parameters
When provided, syncs only that portfolio. When omitted, syncs all API-created portfolios owned by the user (costs 10x credits).
Response
Portfolio sync triggered
True when the portfolio sync was successfully triggered.
Example:
true
Was this page helpful?